Bug 113819 - X frequently and randomly crashes
X frequently and randomly crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 16:15 EST by Rob Murphy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 19:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 log (33.15 KB, text/plain)
2004-01-18 16:18 EST, Rob Murphy
no flags Details
XF86Config (3.07 KB, text/plain)
2004-01-18 16:18 EST, Rob Murphy
no flags Details
/var/log/messages (2.60 KB, text/plain)
2004-01-18 16:23 EST, Rob Murphy
no flags Details
/var/log/messages.1 (59.39 KB, text/plain)
2004-01-19 09:19 EST, Rob Murphy
no flags Details
lsmod (1.52 KB, text/plain)
2004-01-19 09:21 EST, Rob Murphy
no flags Details

  None (edit)
Description Rob Murphy 2004-01-18 16:15:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
X is frequently crashing/restarting.  There does not seem to be
anything that I am specifically doing to cause this.  See attached logs. 

Version-Release number of selected component (if applicable):
XFree86-4.3.0-42

How reproducible:
Sometimes

Steps to Reproduce:
1.Use X.
2.
3.
    

Additional info:
Comment 1 Rob Murphy 2004-01-18 16:18:17 EST
Created attachment 97086 [details]
XFree86 log
Comment 2 Rob Murphy 2004-01-18 16:18:52 EST
Created attachment 97087 [details]
XF86Config
Comment 3 Rob Murphy 2004-01-18 16:23:06 EST
Created attachment 97088 [details]
/var/log/messages
Comment 4 Mike A. Harris 2004-01-18 20:41:28 EST
Can you include the complete output of /var/log/messages?  The
attached one appears trimmed down.  It is useful to see the whole
thing since the boot of the hung instance.

Also include the output of "lsmod" from a running X session (prior
to crashing).

After doing that, try using the following in the device section of
the config file:

    Option "noaccel"

Does this option improve the stability at all?  If so, we can
explore some other troubleshooting directions to try and narrow
the problem down further.

TIA
Comment 5 Rob Murphy 2004-01-19 09:19:25 EST
Created attachment 97097 [details]
/var/log/messages.1

That was the entire /var/log/messages.	Here is /var/log/messages.1, hope this
helps.
Comment 6 Rob Murphy 2004-01-19 09:21:56 EST
Created attachment 97098 [details]
lsmod
Comment 7 Rob Murphy 2004-01-19 21:53:21 EST
OK, I've been running with the Option "noaccel" for 12 hours or so and
so far I've had no crashes, whereas before I'm sure I would have had
at least one.  So that seems to have helped for the time being, other
than X feeling very sluggish...  
Comment 8 Mike A. Harris 2004-01-19 22:19:35 EST
Ok, we can both narrow the problem down now, and also improve
performance by doing the following:

1) Run "man XF86Config", and look at the various 'XaaNo.....' options
   listed.

2) Edit X config file, and comment out the noaccel option used
   previously.

3) Try the XaaNo options one at a time, and start up the X server
   between each change.  Do whatever it was that triggered the
   crash previously, and try if possible to narrow things down to
   one or more XaaNo options that work around the problem.

That will narrow the problem down to a specific codepath which is
causing the problem, and I can then check XFree86 CVS for fixes
in this area, and in the mean time disable the faulty codepath
for this specific GPU.

TIA
Comment 9 Mike A. Harris 2004-10-09 19:32:56 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.